## ros-kinetic-swarmros 0.3.6

=== CMakeLists.txt ===
# Set minimum required version and baseline policy
cmake_minimum_required(VERSION 3.5)

# Set project name
project(swarmio VERSION 0.9)

# Use ExternalProject for the superbuild
include(ExternalProject)

# Define common arguments for projects built for the host architecture
set (SWARMIO_SUBPROJECT_HOST_ARGS
    "-DCMAKE_INSTALL_PREFIX=<INSTALL_DIR>"
)

# Define common arguments for projects built for the target architecture
set (SWARMIO_SUBPROJECT_TARGET_ARGS
    "-DCMAKE_STAGING_PREFIX=<INSTALL_DIR>"
    "-DCMAKE_MODULE_PATH=${CMAKE_CURRENT_SOURCE_DIR}/cmake/packages"
)

#setting clang as compiler
set (CMAKE_C_COMPILER 
            "/usr/bin/clang")
set (CMAKE_C_FLAGS
                "-Wall -std=c99")
set (CMAKE_C_FLAGS_DEBUG 
         "-g")
set (CMAKE_C_FLAGS_MINSIZEREL
     "-Os -DNDEBUG")
set (CMAKE_C_FLAGS_RELEASE
        "-O4 -DNDEBUG")
set (CMAKE_C_FLAGS_RELWITHDEBINFO 
	"-O2 -g")

set (CMAKE_CXX_COMPILER   
          "/usr/bin/clang++")
set (CMAKE_CXX_FLAGS   
             "-Wall")
set (CMAKE_CXX_FLAGS_DEBUG  
        "-g")
set (CMAKE_CXX_FLAGS_MINSIZEREL 
    "-Os -DNDEBUG")
set (CMAKE_CXX_FLAGS_RELEASE   
     "-O4 -DNDEBUG")
set (CMAKE_CXX_FLAGS_RELWITHDEBINFO 
	"-O2 -g")

# If a verbose makefile was requested, pass it on to subprojects
if (CMAKE_VERBOSE_MAKEFILE)
    list(APPEND SWARMIO_SUBPROJECT_HOST_ARGS
        "-DCMAKE_VERBOSE_MAKEFILE=ON"
    )
    list(APPEND SWARMIO_SUBPROJECT_TARGET_ARGS
        "-DCMAKE_VERBOSE_MAKEFILE=ON"
    )
endif()

# Include helpers
include("cmake/helpers/prepare-architecture.cmake")
include("cmake/helpers/prepare-mode.cmake")
include("cmake/helpers/prepare-multistrap.cmake")
include("cmake/helpers/build-component.cmake")
include("cmake/helpers/build-package.cmake")

# Build dependencies
include("cmake/dependencies/build-libzmq.cmake")
include("cmake/dependencies/build-czmq.cmake")
include("cmake/dependencies/build-zyre.cmake")
include("cmake/dependencies/build-concurrentqueue.cmake")
include("cmake/dependencies/build-readerwriterqueue.cmake")
include("cmake/dependencies/build-protobuf.cmake")
include("cmake/dependencies/build-replxx.cmake")
include("cmake/dependencies/build-g3log.cmake")
include("cmake/dependencies/build-sodium.cmake")
include("cmake/dependencies/build-libconfig.cmake")

# Prepare
swarmio_build_component_start(libswarmio ${PROJECT_VERSION} 
    libzmq 
    czmq 
    zyre 
    concurrentqueue
    readerwriterqueue
    protobuf
    replxx 
    g3log
    libconfig
    sodium
)

# Build libswarmio
ExternalProject_Add(libswarmio
    DEPENDS protobuf-host
    SOURCE_DIR "${CMAKE_CURRENT_SOURCE_DIR}/libswarmio"
    BUILD_ALWAYS ON
    PREFIX "libswarmio-${SWARMIO_TARGET_ARCHITECTURE}"
    BUILD_COMMAND ${SWARMIO_TARGET_BUILD_COMMAND}
    INSTALL_COMMAND ${SWARMIO_TARGET_INSTALL_COMMAND}
    INSTALL_DIR ${LIBSWARMIO_ROOT}
    LIST_SEPARATOR "|"
    CMAKE_ARGS  
        "-DCMAKE_EXPORT_COMPILE_COMMANDS=ON"
        "-DTOOL_PROTOC=${TOOL_PROTOC}"
        ${LIBSWARMIO_CMAKE_ARGS}
)

# Finish
swarmio_build_component_finish(libswarmio)

install(DIRECTORY ${LIBSWARMIO_ROOT}/ DESTINATION ".")

# Build ROS node
if (SWARMIO_BUILD_ROS_NODE)

    # Do not try to build the ROS node on Windows
    if (MSVC)
        message(FATAL_ERROR "Building the ROS node is not supported with the MSVC compiler.")
    endif()

    # Prepare
    swarmio_build_component_start(swarmros ${PROJECT_VERSION} 
        libzmq 
        czmq 
        zyre 
        concurrentqueue
        readerwriterqueue
        protobuf
        replxx 
        g3log
        libconfig 
	sodium
        libswarmio
    )

    # Determine ROS prefix
    if ("${SWARMIO_ROS_PREFIX}" STREQUAL "")
        if (EXISTS "${SWARMIO_SYSROOT}/opt/ros/melodic")
            set(SWARMIO_ROS_PREFIX "/opt/ros/melodic")
            message(STATUS "Using ROS Melodic Morenia found at /opt/ros/melodic.")
        elseif (EXISTS "${SWARMIO_SYSROOT}/opt/ros/kinetic")
            set(SWARMIO_ROS_PREFIX "/opt/ros/kinetic")
            message(STATUS "Using ROS Kinetic Kame found at /opt/ros/kinetic.")
        else()
            message(FATAL_ERROR "Cannot detect ROS prefix path, set SWARMIO_ROS_PREFIX manually.")
        endif()
    else()
        message(STATUS "Using ROS installation at ${SWARMIO_ROS_PREFIX}.")
    endif()

    # Build
    ExternalProject_Add(swarmros
        SOURCE_DIR "${CMAKE_CURRENT_SOURCE_DIR}/swarmros"
        BUILD_ALWAYS ON
        PREFIX "swarmros-${SWARMIO_TARGET_ARCHITECTURE}"
        BUILD_COMMAND ${SWARMIO_TARGET_BUILD_COMMAND}
        INSTALL_COMMAND ${SWARMIO_TARGET_INSTALL_COMMAND}
        INSTALL_DIR "swarmros-${SWARMIO_TARGET_ARCHITECTURE}-output"
        LIST_SEPARATOR "|"
        CMAKE_ARGS  
            ${SWARMROS_CMAKE_ARGS}
            "-DCMAKE_EXPORT_COMPILE_COMMANDS=ON"
            "-DCATKIN_ENABLE_TESTING=OFF"
            "-DCATKIN_BUILD_BINARY_PACKAGE=1"
            "-DCMAKE_PREFIX_PATH=${SWARMIO_SYSROOT}${SWARMIO_ROS_PREFIX}"
            "-DCMAKE_INSTALL_PREFIX=${SWARMIO_ROS_PREFIX}"
    )

    # Finish
    swarmio_build_component_finish(swarmros ${SWARMIO_ROS_PREFIX})
    install(DIRECTORY swarmros-${SWARMIO_TARGET_ARCHITECTURE}-output/ DESTINATION ".")
endif()

=== libswarmio/CMakeLists.txt ===
# Set minimum required version and baseline policy
cmake_minimum_required(VERSION 3.5)

# Declare project
project(libswarmio LANGUAGES CXX)

# Enforce C++17
include("${CMAKE_CURRENT_LIST_DIR}/../cmake/helpers/cxx-standard.cmake")

# Add main library target
add_library(swarmio SHARED

	# Built-in services
	"src/swarmio/services/PeriodicService.cpp"
	"src/swarmio/services/ErrorAwaiter.cpp"
	"src/swarmio/services/event/Service.cpp"
	"src/swarmio/services/ping/Service.cpp"
	"src/swarmio/services/ping/TimingAwaiter.cpp"
	"src/swarmio/services/keyvalue/Service.cpp"
	"src/swarmio/services/keyvalue/ValueAwaiter.cpp"
	"src/swarmio/services/discovery/Service.cpp"
	"src/swarmio/services/telemetry/Service.cpp"

	# Zyre endpoint implementation
	"src/swarmio/transport/zyre/ZyreControlSocket.cpp"
	"src/swarmio/transport/zyre/ZyreEndpoint.cpp"
	"src/swarmio/transport/BasicEndpoint.cpp"
	"src/swarmio/transport/base64.cpp"

	# Protobuf messages
	"proto/swarmio/data/Message.proto"
	"proto/swarmio/data/Variant.proto"
	"proto/swarmio/data/ping/Echo.proto"
	"proto/swarmio/data/event/Notification.proto"
	"proto/swarmio/data/keyvalue/GetRequest.proto"
	"proto/swarmio/data/keyvalue/GetResponse.proto"
	"proto/swarmio/data/keyvalue/SetRequest.proto"
	"proto/swarmio/data/discovery/Schema.proto"
	"proto/swarmio/data/discovery/Response.proto"
	"proto/swarmio/data/discovery/Request.proto"
	"proto/swarmio/data/telemetry/SubscribeRequest.proto"
	"proto/swarmio/data/telemetry/UnsubscribeRequest.proto"
	"proto/swarmio/data/telemetry/Update.proto"
	"proto/swarmio/data/telemetry/Status.proto"

	# Data helper
	"src/swarmio/data/Helper.cpp"
)

# Add simulator executable target
add_executable(swarmio-simulator
	"src/swarmio/simulator/main.cpp"
	"src/swarmio/simulator/LinearPathTelemetrySimulator.cpp"
	"src/swarmio/simulator/ExampleDevice.cpp"
)

# Add tool executable target
add_executable(swarmio-tool
	"src/swarmio/tool/main.cpp"
	"src/swarmio/tool/Loop.cpp"
	"src/swarmio/tool/Command.cpp"
)

# Add include directories
target_include_directories(swarmio PUBLIC
	$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}/include>
	$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
	$<INSTALL_INTERFACE:include>
)
target_include_directories(swarmio-tool PRIVATE
	"include"
)
target_include_directories(swarmio-simulator PRIVATE
	"include"
)

# Add export/import macros
if (MSVC)
	target_compile_definitions(swarmio 
		PRIVATE "SWARMIO_API=__declspec(dllexport)"
		INTERFACE "SWARMIO_API=__declspec(dllimport)"
		PUBLIC "PROTOBUF_USE_DLLS"
	)
else()
	target_compile_definitions(swarmio 
		PRIVATE "SWARMIO_API=__attribute__((visibility(\"default\")))"
		INTERFACE "SWARMIO_API="
		PUBLIC "PROTOBUF_USE_DLLS"
	)
endif()

# Create directory for the files generated by protobuf
file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/include")

# Generate C++ files for Protobuf definitions
get_target_property(_sources swarmio SOURCES)
foreach(_source ${_sources})

	# Match .proto files
	if(_source MATCHES "^proto/(.+)\.proto$")

		# Build output file names
		set(_outputs
			"${CMAKE_CURRENT_BINARY_DIR}/include/${CMAKE_MATCH_1}.pb.h"
			"${CMAKE_CURRENT_BINARY_DIR}/include/${CMAKE_MATCH_1}.pb.cc"
		)

		# Generate sources
		add_custom_command(
			OUTPUT ${_outputs}
			COMMAND ${TOOL_PROTOC}
			ARGS 
				--cpp_out dllexport_decl=SWARMIO_API:${CMAKE_CURRENT_BINARY_DIR}/include 
				--proto_path ${CMAKE_CURRENT_SOURCE_DIR}/proto 
				${CMAKE_CURRENT_SOURCE_DIR}/${_source}
			DEPENDS
				${_source} 
			COMMENT "Running CPP protocol buffer compiler on ${_source}"
			VERBATIM
		)

		# Add sources to target
		target_sources(swarmio PRIVATE ${_outputs})

	endif()

endforeach()

# Ignore protobuf related warnings
if (MSVC)
	target_compile_options(swarmio PUBLIC
		"/wd4251"
		"/wd4996"
		"/wd4275"
		"/wd4661"
	)
endif()

# Find required packages
find_package(libzmq REQUIRED)
find_package(czmq REQUIRED)
find_package(zyre REQUIRED)
find_package(protobuf REQUIRED)
find_package(g3log REQUIRED)
find_package(replxx REQUIRED)
find_package(readerwriterqueue REQUIRED)
find_package(concurrentqueue REQUIRED)
find_package(Threads REQUIRED)
find_package(libconfig REQUIRED)
find_package(sodium REQUIRED)

# Link libraries
target_link_libraries(swarmio PUBLIC
	${SODIUM_LIBRARIES}
	${PROTOBUF_LIBRARIES}
	${LIBZMQ_LIBRARIES}
	${CZMQ_LIBRARIES}
	${ZYRE_LIBRARIES}
	${G3LOG_LIBRARIES}
	${LIBCONFIG_LIBRARIES}
	Threads::Threads
)
target_link_libraries(swarmio-tool PRIVATE
	${REPLXX_LIBRARIES}
	swarmio
)
target_link_libraries(swarmio-simulator PRIVATE 
	swarmio
)

# Add library include paths
target_include_directories(swarmio PUBLIC
	${PROTOBUF_INCLUDE_DIRS}
	${LIBZMQ_INCLUDE_DIRS}
	${CZMQ_INCLUDE_DIRS}
	${ZYRE_INCLUDE_DIRS}
	${G3LOG_INCLUDE_DIRS}
	${READERWRITERQUEUE_INCLUDE_DIRS}
	${CONCURRENTQUEUE_INCLUDE_DIRS}
	${SODIUM_INCLUDE_DIRS}
	${LIBCONFIG_INCLUDE_DIRS}
)
target_include_directories(swarmio-tool PRIVATE
	${REPLXX_INCLUDE_DIRS}
)

# Use GNUInstallDirs to determine directories
include(GNUInstallDirs)

# Install library
install(
	TARGETS swarmio 
	EXPORT swarmio-config
	RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
	ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
	LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}	 
)

# Install executables
install(
	TARGETS swarmio-simulator swarmio-tool
	RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
)

# Install headers
install(
	DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/include/"
	DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
	FILES_MATCHING 
		PATTERN "*.h"
		PATTERN "swarmio/tool/*" EXCLUDE
		PATTERN "swarmio/simulator/*" EXCLUDE
)

# Install compiled protobuf headers
install(
	DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/include/"
	DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
	FILES_MATCHING PATTERN "*.h"
)

# Copy test scripts
file(COPY
	${CMAKE_CURRENT_SOURCE_DIR}/src/swarmio/test/test_installer.sh
	${CMAKE_CURRENT_SOURCE_DIR}/src/swarmio/test/logparser.py
	DESTINATION ${CMAKE_CURRENT_BINARY_DIR}
)

=== swarmros/CMakeLists.txt ===
# Set minimum required version and baseline policy
cmake_minimum_required(VERSION 3.5)

# Set project name
project(swarmros CXX)

# Enforce C++17
include("${CMAKE_CURRENT_LIST_DIR}/cmake/helpers/cxx-standard.cmake")

# Find required packages
find_package(swarmio REQUIRED)
find_package(libconfig REQUIRED)
find_package(sodium REQUIRED)
find_package(catkin REQUIRED COMPONENTS
	roscpp
	rosconsole
	std_msgs
	message_generation
	roslib 
)

################################################
## Declare ROS messages, services and actions ##
################################################

## Generate messages in the 'msg' folder
add_message_files(
	FILES

		# Node descriptor
		"NodeInfo.msg"

		# Event descriptor
		"EventHeader.msg"
		"SimpleEvent.msg"

		# Primitives
		"ArrayOfBool.msg"
		"ArrayOfDouble.msg"
		"ArrayOfInt.msg"
		"ArrayOfString.msg"
		"ArrayOfUInt.msg"
		"Bool.msg"
		"Double.msg"
		"Int.msg"
		"String.msg"
		"UInt.msg"

		# Example messages
		"ExampleEvent.msg"
		"ExampleComplexMessage.msg"
		"ExampleComplexSubmessage.msg"
)

## Generate added messages and services with any dependencies listed here
generate_messages(
  DEPENDENCIES
  	std_msgs
)

###################################
## catkin specific configuration ##
###################################

catkin_package(
	INCLUDE_DIRS include
	CATKIN_DEPENDS 
		roscpp
		rosconsole
		std_msgs 
		roslib
)

# This is kind of hacky, but for some reason catkin insists 
# on putting the system directory into the include directory
if (NOT "${SWARMIO_SYSROOT}" STREQUAL "")
	list(REMOVE_ITEM catkin_INCLUDE_DIRS "/usr/include")
endif()

###########
## Build ##
###########

# Add main executable target
add_executable(bridge

	# Bridging node
	"src/swarmros/bridge/main.cpp"
	"src/swarmros/bridge/Node.cpp"
	"src/swarmros/bridge/DebugSink.cpp"

	# Pylons
	"src/swarmros/bridge/EventForwarder.cpp"
	"src/swarmros/bridge/EventPublisher.cpp"
	"src/swarmros/bridge/ParameterPublisher.cpp"
	"src/swarmros/bridge/ParameterTarget.cpp"
	"src/swarmros/bridge/TelemetryForwarder.cpp"

	# Message introspection
	"src/swarmros/introspection/Serializer.cpp"
	"src/swarmros/introspection/MessageSerializer.cpp"
	"src/swarmros/introspection/PrimitiveSerializer.cpp"
	"src/swarmros/introspection/Field.cpp"
	"src/swarmros/introspection/ConstantField.cpp"
	"src/swarmros/introspection/ArrayField.cpp"
	"src/swarmros/introspection/FixedArrayField.cpp"

	# MD5 provider
	"src/external/md5.cpp"
)

# Add ROS node example target
add_executable(example

	# Example node
	"src/swarmros/example/main.cpp"
	"src/swarmros/example/Node.cpp"
)

# Link with swarmio
target_link_libraries(bridge
	swarmio
	${SODIUM_LIBRARIES}
	${LIBCONFIG_LIBRARIES}
)

# Since catkin uses pkg-config without caring about
# the new sysroot, we have to check that the library
# paths returned are actually correct.
if ("${CMAKE_SYSROOT}" STREQUAL "")
	target_link_libraries(bridge ${catkin_LIBRARIES})
	target_link_libraries(example ${catkin_LIBRARIES})
else()
	foreach (_lib ${catkin_LIBRARIES})
		string(FIND "${_lib}" "${CMAKE_SYSROOT}" _location)
		if (_location EQUAL 0)
			target_link_libraries(bridge "${_lib}")
			target_link_libraries(example "${_lib}")
		else()
			target_link_libraries(bridge "${CMAKE_SYSROOT}${_lib}")
			target_link_libraries(example "${CMAKE_SYSROOT}${_lib}")
		endif()
	endforeach()
endif()

# Add include directories
target_include_directories(bridge
	PRIVATE
		include
		${LIBCONFIG_INCLUDE_DIRS}
		${catkin_INCLUDE_DIRS}
		${SODIUM_INCLUDE_DIRS}
)
target_include_directories(example
	PRIVATE
		include
		${catkin_INCLUDE_DIRS}
)

# Depend on message generation
add_dependencies(bridge
	${swarmros_EXPORTED_TARGETS}
	${catkin_EXPORTED_TARGETS}
)
add_dependencies(example
	${swarmros_EXPORTED_TARGETS}
	${catkin_EXPORTED_TARGETS}
)

# Add config file reference macro
target_compile_definitions(bridge PRIVATE
	"SWARMROS_CONFIG_PATH=\"${CMAKE_INSTALL_PREFIX}/${CATKIN_PACKAGE_ETC_DESTINATION}/swarmros.cfg\""
)

#############
## Install ##
#############

install(
	TARGETS bridge example
    ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
	RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(
	DIRECTORY "include"
	DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
	FILES_MATCHING PATTERN "*.h"
)

install(
	FILES "${CMAKE_SOURCE_DIR}/resources/swarmros.cfg.example"
	DESTINATION ${CATKIN_PACKAGE_ETC_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-swarmros (0.3.6-2xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Ákos Milánkovich <akos.milankovich@search-lab.hu>  Tue, 14 Apr 2020 12:03:41 -0000

=== debian/control ===
Source: ros-kinetic-swarmros
Section: misc
Priority: extra
Maintainer: Ákos Milánkovich <akos.milankovich@search-lab.hu>
Build-Depends: debhelper (>= 9.0.0), clang, cmake, g++-5-arm-linux-gnueabihf, g++-5-multilib, git, multistrap, ros-kinetic-rosconsole, ros-kinetic-roscpp, ros-kinetic-roslib, ros-kinetic-std-msgs
Homepage: http://www.cpswarm.eu
Standards-Version: 3.9.2

Package: ros-kinetic-swarmros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-rosconsole, ros-kinetic-roscpp, ros-kinetic-roslib, ros-kinetic-std-msgs
Description: SwarmIO communications bridge for ROS

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- -DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-swarmros//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
